local agent_helper = {}


function agent_helper:Login(callback)--（call）调用java端，调出登录界面，并且绑定回调函数
	PlatformBinder:JsonCall("call_agent_login", "", "", callback)
end

function agent_helper:GetSessionId()
	return PlatformBinder:JsonCall("call_agent_get_sid")
end

function agent_helper:Logout(info_str)
	PlatformBinder:JsonCall("call_agent_logout", info_str)
end

function agent_helper:Exit(callback, data)
	PlatformBinder:JsonCall("call_agent_exit", data, "", callback)
end

function agent_helper:SetUIEventCallback(callback)
	PlatformBinder:JsonBind("event_agent_sdk_ui", callback)
end

function agent_helper:ShowFloatButton()
	PlatformBinder:JsonCall("call_agent_show_float_button");
end

function agent_helper:Pay(param, callback)--购买
	PlatformBinder:JsonCall("call_agent_pay", param, "", callback)
end


function agent_helper:SubmitExtendData(data)
	PlatformBinder:JsonCall("call_agent_submit_extend_data", data)
end

function agent_helper:EnterUserCenter(callback)
	PlatformBinder:JsonCall("call_agent_enter_user_center", param, "", callback)
end

return agent_helper 
